
<template lang="pug">
    .content 
        v-form(style="width: 500px")
            .nr_form_group 
                <v-text-field label="Название проекта" v-model="project_name"></v-text-field>
            .nr_form_group 
                v-combobox(v-model="customer" :items="customers" name="customer" item-text="name"  label="Заказчик"  )   

            .nr_form_group 
                v-combobox(v-model="selectedServices" :items="services" item-text="name"   label="Услуги"  multiple)   

            .nr_form_group
                h2 Backend
                .d-flex
                <v-text-field label="Боевой домен(url)" v-model="prod_domain"></v-text-field>    
                <v-text-field label="Тестовый домен(url)" v-model="test_domain"></v-text-field>    

            .nr_form_group
                h2 Frontend
                .d-flex
                <v-text-field label="Боевой домен(url)" v-model="prod_domain"></v-text-field>    
                <v-text-field label="Тестовый домен(url)" v-model="test_domain"></v-text-field>


            .services(v-if="selectedServices.length > 0")
                .service(v-for="item in selectedServices" :key="item.name + '1'") {{item.name}}
                service(v-for="item in selectedServices" :key="item.name" :service="item")

</template>

<script>
import service from '../services/service_toproject'

export default {
  data: () => ({
    project_name: "",
    prod_domain: "",
    test_domain: "",
    customer: "",
    date_created: new Date(),
    date_start: new Date(),
    date_goal_end: new Date(),
    date_fact_end: new Date(),
    selectedServices: [],
    link_design: '',
    link_frontend_test: '',
    link_frontend_prod: '',
    link_frontend_git: '',
    link_backend_test: '',
    link_backend_prod: '',
    link_backend_git: '',
    link_playmarket_name: '',
    link_app_store_name: '',
    description_html: '',
    status: '',
    project_type:'',
    
    is_single_tech_doc: false,
    tech_doc:'',


  }),
  computed: {
    customers() {
      return this.$store.state.customers.all.items;
    },
    services() {
      return this.$store.state.services.all.items;
    }
  },

  components: {service}
};
</script>